summaryrefslogtreecommitdiff
path: root/bindep.txt
blob: 5a05c5a4451c02977bd4e088ac4fd08ec7f41802 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
# This file facilitates OpenStack-CI package installation
# before the execution of any tests.
#
# See the following for details:
#  - https://docs.openstack.org/infra/bindep/
#  - https://git.openstack.org/cgit/openstack-infra/bindep
#
# Even if the role does not make use of this facility, it
# is better to have this file empty, otherwise OpenStack-CI
# will fall back to installing its default packages which
# will potentially be detrimental to the tests executed.
#
# Note:
# This file is maintained in the openstack-ansible-tests repository.
# https://git.openstack.org/cgit/openstack/openstack-ansible-tests/tree/bindep.txt
# If you need to remove or add extra dependencies, you should modify
# the central file instead and once your change is accepted then update
# this file as well. The purpose of this file is to ensure that Python and
# Ansible have all their necessary binary requirements on the test host before
# tox executes. Any binary requirements needed by services/roles should be
# installed by those roles in their applicable package install tasks, not through
# using this file.
#

# The gcc compiler
gcc

# Base requirements for Ubuntu
git-core          [platform:dpkg]
libssl-dev        [platform:dpkg]
libffi-dev        [platform:dpkg]
python2.7         [platform:dpkg]
python-apt        [platform:dpkg]
python-dev        [platform:dpkg]
python3           [platform:dpkg]
python3-apt       [platform:dpkg]
python3-dev       [platform:dpkg]

# Base requirements for RPM distros
gcc-c++           [platform:rpm]
git               [platform:rpm]
libffi-devel      [platform:rpm]
openssl-devel     [platform:rpm]
python-devel      [platform:rpm]
python2-dnf       [platform:fedora]

# For SELinux
libselinux-python [platform:redhat]
libsemanage-python [platform:redhat]

# Required for compressing collected log files in CI
gzip